TPersistentResourceRefresh
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.impl.support.threads
Class TPersistentResourceRefresh

    java.lang.Object
      java.lang.Thread
          org.gcube.vremanagement.resourcebroker.impl.support.threads.TimedThread
              org.gcube.vremanagement.resourcebroker.impl.support.threads.TPersistentResourceRefresh

All Implemented Interfaces:
  java.lang.Runnable

    public class TPersistentResourceRefresh

extends TimedThread

Author:
  Daniele Strollo (ISTI-CNR)

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`TPersistentResourceRefresh(long millsSlot)`

Method Summary
`void` | `loop()` The main loop that must be defined.

Methods inherited from class org.gcube.vremanagement.resourcebroker.impl.support.threads.TimedThread
`interrupt, run`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TPersistentResourceRefresh

    public TPersistentResourceRefresh(long millsSlot)

Method Detail

### loop

    public final void loop()

  Description copied from class: `TimedThread`
  The main loop that must be defined.

  Specified by:
    `loop` in class `TimedThread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD